import { jsx } from "react/jsx-runtime";
import { FolderOpen as FolderOpen$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FolderOpen = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FolderOpen", ...props, children: /* @__PURE__ */ jsx(FolderOpen$1, { weight: variant }) });
  }
);
FolderOpen.displayName = "FolderOpen";
Object.assign(FolderOpen, { isGdsIcon: true });
export {
  FolderOpen
};
